Summary:	LTP GCOV extension code coverage tool
Name:		lcov
Version:	2.0
Release:	%mkrel 2
Group:		Development/Other
License:	GPLv2
URL:		https://ltp.sourceforge.net/coverage/lcov.php
Source0:	https://github.com/linux-test-project/lcov/releases/download/v%{version}/lcov-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	git-core

Requires:	perl(GD::Image)
Requires:	perl(JSON::XS)

%description
LCOV is an extension of GCOV, a GNU tool which provides information
about what parts of a program are actually executed (i.e. "covered")
while running a particular test case. The extension consists of a set
of PERL scripts which build on the textual GCOV output to implement
HTML output and support for large projects.

%prep
%autosetup

%build

%install
%make_install PREFIX=%{_prefix} CFG_DIR=%{_sysconfdir} LIB_DIR=%{_datadir}/lcov

%files
%config(noreplace) %{_sysconfdir}/lcovrc
%{_bindir}/gendesc
%{_bindir}/genhtml
%{_bindir}/geninfo
%{_bindir}/genpng
%{_bindir}/lcov
%{_mandir}/man1/gendesc.1*
%{_mandir}/man1/genhtml.1*
%{_mandir}/man1/geninfo.1*
%{_mandir}/man1/genpng.1*
%{_mandir}/man1/lcov.1*
%{_mandir}/man5/lcovrc.5*
%dir %{_datadir}/lcov
%dir %{_datadir}/lcov/support-scripts
%{_datadir}/lcov/lcovutil.pm
%{_datadir}/lcov/support-scripts/analyzeInfoFiles
%{_datadir}/lcov/support-scripts/criteria
%{_datadir}/lcov/support-scripts/get_signature
%{_datadir}/lcov/support-scripts/getp4version
%{_datadir}/lcov/support-scripts/gitblame
%{_datadir}/lcov/support-scripts/gitdiff
%{_datadir}/lcov/support-scripts/p4annotate
%{_datadir}/lcov/support-scripts/p4udiff
%{_datadir}/lcov/support-scripts/py2lcov
%{_datadir}/lcov/support-scripts/spreadsheet.py


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 2.0-2.mga10
+ Revision: 2230613
- Mageia 10 Mass Rebuild

* Sun Dec 01 2024 daviddavid <daviddavid> 2.0-1.mga10
+ Revision: 2120429
- 2.0
- Use explicit file listing
- Remove upstream patches
- Ship new files

* Mon Mar 21 2022 umeabot <umeabot> 1.14-3.mga9
+ Revision: 1812033
- Mageia 9 Mass Rebuild

* Mon Feb 17 2020 umeabot <umeabot> 1.14-2.mga8
+ Revision: 1537300
- Mageia 8 Mass Rebuild

* Tue Oct 29 2019 tv <tv> 1.14-1.mga8
+ Revision: 1456481
- new release

* Tue Sep 18 2018 umeabot <umeabot> 1.10-7.mga7
+ Revision: 1263862
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.10-6.mga6
+ Revision: 943011
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.10-5.mga5
+ Revision: 741642
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.10-4.mga5
+ Revision: 681285
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.10-3.mga4
+ Revision: 506820
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.10-2.mga3
+ Revision: 356715
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 kamil <kamil> 1.10-1.mga3
+ Revision: 344597
- new version 1.10
- clean .spec a bit

* Fri Aug 10 2012 tv <tv> 1.9-1.mga3
+ Revision: 280346
- imported package lcov


* Fri Aug 10 2012 Thierry Vignaud <tv@mageia.org> 1.9-1.mga3
- import from mdv
